Bug 1308557 - python-grapefruit: Provide a Python 3 subpackage
python-grapefruit: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-grapefruit (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE 1356653
  Show dependency treegraph
 
Reported: 2016-02-15 08:51 EST by Petr Viktorin
Modified: 2017-03-10 09:50 EST (History)
5 users (show)

See Also:
Fixed In Version: python-grapefruit-0.1a4-5.fc27 python-grapefruit-0.1a4-5.fc26 python-grapefruit-0.1a4-3.fc25 python-grapefruit-0.1a4-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-03 16:50:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix python3-grapefruit dragging in Python 2 (1.39 KB, application/mbox)
2017-03-01 11:33 EST, Iryna Shcherbina
no flags Details

  None (edit)
Description Petr Viktorin 2016-02-15 08:51:32 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:21:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Dominika Krejčí 2016-10-12 11:35:02 EDT
Hi Ariel,
I have some comments:

* Please, add the %check section, tests are present, you can run them with `%{__pythonX} setup.py test`.

* There is a typo in URL, please delete `%` at the end.


And rpmlint output:

* `python-grapefruit.spec:14: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 7)`

* `python-grapefruit.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/grapefruit.py 644 /usr/bin/python`

* `python3-grapefruit.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/grapefruit.py 644 /usr/bin/python`
Comment 4 Fedora Update System 2016-10-13 23:21:03 EDT
python-grapefruit-0.1a4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cacb84cd7
Comment 5 Fedora Update System 2016-10-14 00:56:27 EDT
python-grapefruit-0.1a4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef645f5614
Comment 6 Fedora Update System 2017-02-24 17:49:39 EST
python-grapefruit-0.1a4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-02-24 18:18:32 EST
python-grapefruit-0.1a4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Iryna Shcherbina 2017-03-01 11:33 EST
Created attachment 1258810 [details]
Patch to fix python3-grapefruit dragging in Python 2

Reopening the issue, as python3-grapefruit-0.1a4-4 RPM requires both Python 2 and Python 3. There is a stray "/usr/bin/python" shebang in one of the files, which auto-generates the dependency on Python 2.

You may find the change needed to fix auto-generating Python 2 dependency attached. Please review and apply it.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18126431
Comment 9 Fedora Update System 2017-03-02 05:13:36 EST
python-grapefruit-0.1a4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-371de561fc
Comment 10 Fedora Update System 2017-03-02 05:20:44 EST
python-grapefruit-0.1a4-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce95a69a4b
Comment 11 Fedora Update System 2017-03-02 23:53:05 EST
python-grapefruit-0.1a4-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-371de561fc
Comment 12 Fedora Update System 2017-03-03 00:23:52 EST
python-grapefruit-0.1a4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce95a69a4b
Comment 13 Fedora Update System 2017-03-03 16:50:47 EST
python-grapefruit-0.1a4-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-03-10 09:50:40 EST
python-grapefruit-0.1a4-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.